// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/autoflow/rpc/rpc.proto

package rpc

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	event "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/event"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CloudEventRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Event         *event.CloudEvent      `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	FlowProject   *event.Project         `protobuf:"bytes,2,opt,name=flow_project,json=flowProject,proto3" json:"flow_project,omitempty"`
	Variables     map[string]string      `protobuf:"bytes,3,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CloudEventRequest) Reset() {
	*x = CloudEventRequest{}
	mi := &file_internal_module_autoflow_rpc_rpc_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CloudEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CloudEventRequest) ProtoMessage() {}

func (x *CloudEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_rpc_rpc_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CloudEventRequest.ProtoReflect.Descriptor instead.
func (*CloudEventRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_rpc_rpc_proto_rawDescGZIP(), []int{0}
}

func (x *CloudEventRequest) GetEvent() *event.CloudEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *CloudEventRequest) GetFlowProject() *event.Project {
	if x != nil {
		return x.FlowProject
	}
	return nil
}

func (x *CloudEventRequest) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

type CloudEventResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CloudEventResponse) Reset() {
	*x = CloudEventResponse{}
	mi := &file_internal_module_autoflow_rpc_rpc_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CloudEventResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CloudEventResponse) ProtoMessage() {}

func (x *CloudEventResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_autoflow_rpc_rpc_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CloudEventResponse.ProtoReflect.Descriptor instead.
func (*CloudEventResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_autoflow_rpc_rpc_proto_rawDescGZIP(), []int{1}
}

var File_internal_module_autoflow_rpc_rpc_proto protoreflect.FileDescriptor

var file_internal_module_autoflow_rpc_rpc_proto_rawDesc = string([]byte{
	0x0a, 0x26, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2f, 0x72, 0x70, 0x63, 0x2f, 0x72,
	0x70, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e,
	0x72, 0x70, 0x63, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x15, 0x70, 0x6b, 0x67, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb2, 0x02, 0x0a, 0x11, 0x43, 0x6c, 0x6f, 0x75,
	0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a,
	0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x06, 0xba, 0x48,
	0x03, 0xc8, 0x01, 0x01, 0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x46, 0x0a, 0x0c, 0x66,
	0x6c, 0x6f, 0x77, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x42, 0x06,
	0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0b, 0x66, 0x6c, 0x6f, 0x77, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x12, 0x59, 0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73,
	0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x72,
	0x70, 0x63, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x1a, 0x3c,
	0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x14, 0x0a, 0x12,
	0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x32, 0x77, 0x0a, 0x08, 0x41, 0x75, 0x74, 0x6f, 0x46, 0x6c, 0x6f, 0x77, 0x12, 0x6b,
	0x0a, 0x0a, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x2c, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f,
	0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c,
	0x6f, 0x77, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x78, 0x5a, 0x57, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74,
	0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x61, 0x75, 0x74, 0x6f, 0x66, 0x6c,
	0x6f, 0x77, 0x2f, 0x72, 0x70, 0x63, 0xea, 0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x3a,
	0x3a, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x3a, 0x3a, 0x41, 0x75, 0x74, 0x6f, 0x46, 0x6c, 0x6f, 0x77,
	0x3a, 0x3a, 0x52, 0x70, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_module_autoflow_rpc_rpc_proto_rawDescOnce sync.Once
	file_internal_module_autoflow_rpc_rpc_proto_rawDescData []byte
)

func file_internal_module_autoflow_rpc_rpc_proto_rawDescGZIP() []byte {
	file_internal_module_autoflow_rpc_rpc_proto_rawDescOnce.Do(func() {
		file_internal_module_autoflow_rpc_rpc_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_autoflow_rpc_rpc_proto_rawDesc), len(file_internal_module_autoflow_rpc_rpc_proto_rawDesc)))
	})
	return file_internal_module_autoflow_rpc_rpc_proto_rawDescData
}

var file_internal_module_autoflow_rpc_rpc_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_internal_module_autoflow_rpc_rpc_proto_goTypes = []any{
	(*CloudEventRequest)(nil),  // 0: gitlab.agent.autoflow.rpc.CloudEventRequest
	(*CloudEventResponse)(nil), // 1: gitlab.agent.autoflow.rpc.CloudEventResponse
	nil,                        // 2: gitlab.agent.autoflow.rpc.CloudEventRequest.VariablesEntry
	(*event.CloudEvent)(nil),   // 3: gitlab.agent.event.CloudEvent
	(*event.Project)(nil),      // 4: gitlab.agent.event.Project
}
var file_internal_module_autoflow_rpc_rpc_proto_depIdxs = []int32{
	3, // 0: gitlab.agent.autoflow.rpc.CloudEventRequest.event:type_name -> gitlab.agent.event.CloudEvent
	4, // 1: gitlab.agent.autoflow.rpc.CloudEventRequest.flow_project:type_name -> gitlab.agent.event.Project
	2, // 2: gitlab.agent.autoflow.rpc.CloudEventRequest.variables:type_name -> gitlab.agent.autoflow.rpc.CloudEventRequest.VariablesEntry
	0, // 3: gitlab.agent.autoflow.rpc.AutoFlow.CloudEvent:input_type -> gitlab.agent.autoflow.rpc.CloudEventRequest
	1, // 4: gitlab.agent.autoflow.rpc.AutoFlow.CloudEvent:output_type -> gitlab.agent.autoflow.rpc.CloudEventResponse
	4, // [4:5] is the sub-list for method output_type
	3, // [3:4] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_internal_module_autoflow_rpc_rpc_proto_init() }
func file_internal_module_autoflow_rpc_rpc_proto_init() {
	if File_internal_module_autoflow_rpc_rpc_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_autoflow_rpc_rpc_proto_rawDesc), len(file_internal_module_autoflow_rpc_rpc_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_module_autoflow_rpc_rpc_proto_goTypes,
		DependencyIndexes: file_internal_module_autoflow_rpc_rpc_proto_depIdxs,
		MessageInfos:      file_internal_module_autoflow_rpc_rpc_proto_msgTypes,
	}.Build()
	File_internal_module_autoflow_rpc_rpc_proto = out.File
	file_internal_module_autoflow_rpc_rpc_proto_goTypes = nil
	file_internal_module_autoflow_rpc_rpc_proto_depIdxs = nil
}
